import re

elemInfos = {}

# three capital letters (A-Z) followed by a '-' and 3 numbers
checkPattern = re.compile ('^[A-Z]{3}-[0-9]{3}$')

print ('{:-^40}'.format ('CHECKING ID FORMAT'))
for elemGuid in GetSelectedElements ():
	elemInfos[elemGuid] = GetInfoString (elemGuid)

print ('Invalid formatted IDs:')
for key, value in elemInfos.items ():
	if checkPattern.match (value) is None:
		print ((value, key))
print ('{:-^40}'.format (''))
