morphDict = {}

for morphGuid in GetElementList (API_MorphID):
	morph = GetElement (morphGuid)
	material = morph[0].material.attributeIndex
	morphDict.setdefault (material, []).append (morphGuid)

with UndoScope ("Create Groups for Morphs"):
	for similarMorphs in morphDict.values ():
		CreateElementGroup (similarMorphs)

print("{} Groups Created".format (len (morphDict.values ())))
