import os
import sys
import glob

# Get all PLN files from the ToPublish folder beside the script
# and set the '1 - Views' publisher set to be published for all of them
scriptDir = os.path.dirname (sys.argv[0])
filesToPublish = {}
for file in glob.glob (os.path.join (scriptDir, 'ToPublish', '*.pln')):
	filesToPublish[file] = '1 - Views'

# Open each file, and publish the given set
for file, pset in filesToPublish.items ():
	print ("Working on project {}".format (file))
	Open (file)
	PublishSet (pset, os.path.join (scriptDir, 'Published'))
